> For the complete documentation index, see [llms.txt](https://docs.emobiq.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.emobiq.com/emobiq-client/006-actions-and-visual-logic/action-reference/cordova/dataset/axcall.md).

# axCall

## Description

Axcall is the general purpose AX.25, NET/ROM and Rose connection program.

## Input / Parameters

| No | Name      | Description                                                               | Data Type | Required |
| -- | --------- | ------------------------------------------------------------------------- | --------- | -------- |
| 1  | connector | Name of connector and created in the Services and Global Components page. | String    | Yes      |
| 2  | ent       | The Web Service name to be called.                                        | String    | Yes      |
| 3  | data      | This contains the parameter in the function being called.                 | Object    | Yes      |

## Output

## Callback

## Video

## Example

The user wants to call the axCall Web Service.

### Step

1. Create AX Connector in Services and define the name, url, user, password and timeOut.\
   Name: axConnector\
   url: <http://203.116.137.100:8109/MicrosoftDynamicsAXAif60/ABJCustSelfOrderingServices/xppservice.svc?wsdl\\>
   ( Please refer to the picture below, there is a example of main web service.We have take one of the operation as an example to apply for this function.)\
   user: contoso\administrator\
   password: \*\*\*\*\*\*\*\*\
   timeOut: 30000

   ![](/files/4EiNU1HDlnMELyIlqWfX)
2. Call the function "axCall" and define the connector & ent, set the function "toObject"to data.\
   connector: axConnector\
   ent: validateCustLogin\
   data: toObject<br>

   ![](/files/3IMxtuBg4YO6c1wAMaIP)
3. Define toObject.\
   \_companyId: USMF\
   \_accountNum: SG-001\
   \_password: 1234<br>

   ![](/files/rmNb0cPD2pTU7ip4xVRu)
4. Add a console after callback function for display response from console.

   ![](/files/BRmTwwywMWkldR1g6AC6)

### Result

![](/files/hmms3xxHnZFSEzeZd23A)

## Links


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.emobiq.com/emobiq-client/006-actions-and-visual-logic/action-reference/cordova/dataset/axcall.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
